> For the complete documentation index, see [llms.txt](https://docs.wisej.com/system.drawing.managed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/system.drawing.managed/api/system.drawing.text/system.drawing.text.fontcollection.md).

# FontCollection

Namespace: **System.Drawing.Text**

Assembly: **System.Drawing.Managed** (4.0.0.0)

When inherited, enumerates the FontFamily objects in a collection of fonts.

{% tabs %}
{% tab title="C#" %}

```csharp
public class FontCollection : IDisposable
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class FontCollection
    Inherits IDisposable
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/gN3G3VR5GgQngV3jdnfJ) Families

[FontFamily\[\]](https://docs.microsoft.com/dotnet/api/system.drawing.fontfamily): Gets the array of [FontFamily](/system.drawing.managed/api/system.drawing/system.drawing.fontfamily.md) objects associated with this [FontCollection](/system.drawing.managed/api/system.drawing.text/system.drawing.text.fontcollection.md).

## Methods

### ![](/files/gN3G3VR5GgQngV3jdnfJ) Dispose()

### ![](/files/k27LziTvwi3FA4zj3c22) Dispose(disposing)

Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources.

| Parameter     | Type                                                            | Description                                    |
| ------------- | --------------------------------------------------------------- | ---------------------------------------------- |
| **disposing** | [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean) | Whether we are disposing of managed resources. |

### ![](/files/k27LziTvwi3FA4zj3c22) Finalize()

Finalizes an instance of the [FontCollection](/system.drawing.managed/api/system.drawing.text/system.drawing.text.fontcollection.md) class.

## Inherited By

| Name                                                                                                                      | Description                                                                                                                                                                                                               |
| ------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [InstalledFontCollection](/system.drawing.managed/api/system.drawing.text/system.drawing.text.installedfontcollection.md) | Represents the fonts installed on the system.                                                                                                                                                                             |
| [PrivateFontCollection](/system.drawing.managed/api/system.drawing.text/system.drawing.text.privatefontcollection.md)     | Encapsulates a collection of [Font](/system.drawing.managed/api/system.drawing/system.drawing.font.md) objects. Provides a collection of font families built from font files that are provided by the client application. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/system.drawing.managed/api/system.drawing.text/system.drawing.text.fontcollection.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
